Page MenuHome

CMU mocap download fails with exception
Closed, ResolvedPublic

Description

System Information
Windows 7 64-bit

Blender Version
Broken: Blender 2.69.1 r60958 (from buildbot, blender-2.69-r60958-win64-vc11.zip)

Short description of error
The button "Download and Import Motion Data" gives me a ConnectionRefusedError.

Exact steps for others to reproduce the error

  1. Enable the CMU mocap browser addon
  2. Select actor 79 - actor everyday activities
  3. Select 1 - chopping wood
  4. Click the "Download and Import Motion Data" button

The resulting exception is:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 1252, in do_open
    h.request(req.get_method(), req.selector, req.data, headers)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 1049, in request
    self._send_request(method, url, body, headers)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 1087, in _send_request
    self.endheaders(body)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 1045, in endheaders
    self._send_output(message_body)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 890, in _send_output
    self.send(msg)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 828, in send
    self.connect()
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\http\client.py", line 806, in connect
    self.timeout, self.source_address)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\socket.py", line 424, in create_connection
    raise err
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\socket.py", line 415, in create_connection
    sock.connect(sa)
ConnectionRefusedError: [WinError 10061] No connection could be made because the target machine actively refused it

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "C:\Program Files\Blender Foundation\Blender\2.69\scripts\addons_contrib\cmu_mocap_browser\download.py", line 112, in execute
    self.src = urlopen(self.remote_file)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 160, in urlopen
    return opener.open(url, data, timeout)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 473, in open
    response = self._open(req, data)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 491, in _open
    '_open', req)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 451, in _call_chain
    result = func(*args)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 1272, in http_open
    return self.do_open(http.client.HTTPConnection, req)
  File "C:\Program Files\Blender Foundation\Blender\2.69\python\lib\urllib\request.py", line 1255, in do_open
    raise URLError(err)
urllib.error.URLError: <urlopen error [WinError 10061] No connection could be made because the target machine actively refused it>

However, from the same machine I can download the files manually.

Event Timeline

Brecht Van Lommel (brecht) lowered the priority of this task from 90 to Normal.Dec 12 2013, 5:08 PM

Fixed in revision [541c2d6] master: Fix T37791: CMU changed its mocap lib website port

If you want to manually fix it it's easy, just open the file 2.69/scripts/addons_contrib/cmu_mocap_browser/library.py and remove de :8080 from the addresses.

Brecht Van Lommel (brecht) changed the task status from Unknown Status to Resolved.Jan 21 2014, 4:52 PM